#!/usr/bin/perl
#
#  Script for displaying an info page.
#
#  This file is part of the SuSE help system.
#
#  Copyright (C) 2002  SuSE Linux AG, Nuernberg
#
#  Author: Cornelius Schumacher <cschum@suse.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use FindBin;
use lib $FindBin::Bin;

use substitution;
use susehelp;

&checkQuery();
&parseQuery();

my $language = lc getQuery( "lang", "en" );
my $page = getQuery( "page" );
my $imgpath = getQuery( "imgpath" );
my $cgiquery = getQuery( "cgiprefix" );

# HACK: Correct path of pictures for non-apache.
if ( $cgiquery eq "cgi:" ) { $imgpath = "file:/srv/www/htdocs"; }

if ( !$page ) {
  printErrorPage( "Please provide an argument." );
}

$ENV{ QUERY_STRING } = $page;

if ( !open INFO, "$susehelp::cgidir/info2html|" ) {
  printErrorPage( "Can't open infopage" );
}

&printCgiHeader;

$out = "--HEADER:--";

if ( $imgpath ) { $imgquery = "imgpath=$imgpath&"; }

while( <INFO> ) {
  if ( /<BODY/i ) { $body = 1; next; }
  if ( /<\/BODY/i ) { last; }
  if ( $body ) {
    s/(<a href=")info2html\?(.*")/${1}infoshow\.cgi\?${imgquery}page=$2/;
    if ( $imgpath ) {
      s/<img src="/<img src="$imgpath/;
    }
    $out .= $_;
  }
}

$out .= "--FOOTER:--";

printPage( $out );
